osl::eval::ml::KnightHead Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { ONE_DIM = 9 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Attributes

static CArray< MultiInt, 9 > | table
static CArray< MultiInt, 144 > | opp_table

## Friends

class | KnightHeadOppPiecePawnOnStand

## Detailed Description

Definition at line 830 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 834 of file minorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::KnightHead::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1385 of file minorPiece.cc.

References osl::alt(), osl::BLACK, osl::Board_Table, osl::NumEffectState::countEffect(), osl::NumEffectState::hasEffectByPtypeStrict(), osl::SimpleState::hasPieceOnStand(), osl::Piece::isEmpty(), osl::Piece::isOnBoard(), osl::SimpleState::isPawnMaskSet(), osl::Piece::isPiece(), osl::Piece::isPromoted(), opp_table, osl::Piece::owner(), osl::PAWN, osl::SimpleState::pieceAt(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Piece::square(), table, osl::U, osl::Square::x(), and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::KnightHead::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1365 of file minorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## KnightHeadOppPiecePawnOnStand

friend class KnightHeadOppPiecePawnOnStand

friend

Definition at line 832 of file minorPiece.h.

References KnightHeadOppPiecePawnOnStand.

Referenced by KnightHeadOppPiecePawnOnStand.

## Member Data Documentation

## opp_table

osl::CArray< MultiInt, 144 > osl::eval::ml::KnightHead::opp_table

static private

Definition at line 839 of file minorPiece.h.

Referenced by eval(), and osl::eval::ml::KnightHeadOppPiecePawnOnStand::setUp().

## table

osl::CArray< MultiInt, 9 > osl::eval::ml::KnightHead::table

static private

Definition at line 838 of file minorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc